package palmbible.util;

import java.io.*;
import java.util.*;

public class Template
{
	private String template;

	public Template(String resName) throws Exception
	{
		InputStream resStream = getClass().getResourceAsStream(resName);
		
		BufferedInputStream inputStream = new BufferedInputStream(
				resStream);

		StringBuffer buffer = new StringBuffer();

		int ch = -1;
		while ((ch = inputStream.read()) != -1){
			buffer.append((char) ch);
		}

		inputStream.close();
		
		template = buffer.toString();
	}

	public String getString(Map wordMap) throws Exception
	{
		Set keySet = wordMap.keySet();
		Iterator keys = keySet.iterator();

		String output = template;

		int index = 0;
		while (keys.hasNext()){
			StringBuffer buffer = new StringBuffer();

			String word = (String) keys.next();
			String value = (String) wordMap.get(word);

			index = output.indexOf(word);

			while (index > -1) {
				if (index > 0) {
					buffer.append(output.substring(0, index));
				}
				
				buffer.append(value);
				output = output.substring(index + word.length());

				index = output.indexOf(word);
			}

			buffer.append(output);
			output = buffer.toString();
		}

		return output;
	}
}
