/*****************************************************************************

    Bible Reader for Palm
    Copyright (C) 2001  Ho Chuen Poon
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
    You may contact Ho Chuen Poon at poetry@hongkong.com

*****************************************************************************/

typedef struct BookmarkType {
	UInt16 book;
	UInt16 chapter;
	UInt16 verse;
} BookmarkType;
typedef BookmarkType *BookmarkPtr;

void BmkOpenBookmark() SECT1;
void BmkCloseBookmark() SECT1;
ListContainPtr BmkGetBookmarkList() SECT1;
void BmkAddBookmark(UInt16 book, UInt16 chapter, UInt16 verse) SECT1;
void BmkDelBookmark(UInt16 bookmark) SECT1;
BookmarkType BmkGetBookmark(UInt16 bookmark) SECT1;

